$newsletter-padding:12rem 0 10rem !default;
$newsletter-vertical-separation:5rem !default;
$newsletter-section-vertical-separation:3rem !default;
$newsletter-input-max-width:500px !default;
$newsletter-social-icon-height:25px !default;

.newsletter{
    @include flex($dir: column, $just: center, $align: center);

    padding:$newsletter-padding;

    &__title{
        margin:0;
        margin-bottom:$newsletter-section-vertical-separation;

        font-size:2.4rem;
        font-weight: bold;
        text-transform: uppercase;
        text-align:center;
        font-family: "RALEWAY-SEMIBOLD" !important;
    }

    &__input{
        border:none;
        border-bottom:1px solid $black-abs;
        position: relative;
        //text-align:center;
        font-size:1.5rem;
        letter-spacing:1px;
        
        width: 100%;

        padding:1rem 1rem;

        @include input-placeholder{
            color:$black-abs;
            //text-transform:uppercase;
        }

        &::after{
            content: '';
            position: absolute;
            left: 0px;
            top: 50%;
            height: 50%;
            border-left: 1px solid #0000CC;
        }
    }

    &__links{
        @include flex;

        margin-top:2rem;
    }

    &__link-item{
        display:flex;
        flex-direction: column;
        align-items:  center;

        margin:0 2rem;

        > img{
            height:$newsletter-social-icon-height;
            margin: 1rem;
        }

        span{
            text-transform: uppercase;
            font-size: 14px;
            font-family: "RALEWAY-SEMIBOLD" !important;
        }
    }

    @include xs{
        padding-left:1rem;
        padding-right:1rem;
    }

    .newsletter-input{
        display: flex;
        margin-bottom:$newsletter-section-vertical-separation;
        max-width: $newsletter-input-max-width;
        width:100%;
        align-items: center;
    }
}